# repossession

Types and mission/job settings for the repossession contract

```lua
---@class RepossessionRewardItem
---@field item string
---@field amount { min: number, max: number }

---@class RepossessionReward
---@field cash { min: number, max: number }
---@field items RepossessionRewardItem[]
---@field reputationPoints number?

---@class RepossessionLocation
---@field coords vector4
---@field ped vector4

---@class RepossessionData
---@field blip { sprite: number, scale: number, color: number, text: string }
---@field vehicles string[]
---@field peds string[]
---@field scenarios string[]
---@field weapons string[]
---@field reward RepossessionReward
---@field locations RepossessionLocation[]

---@type RepossessionData
return {
    blip = {sprite = 326, scale = 0.7, color = 1, route = true, text = "Repossession Contract"},

    vehicles = {
        "sultan", "sentinel", "felon", "buffalo", "dominator", "zion", "tailgater", "premier", "fugitive", "intruder", "jackal", "gauntlet",
    },

    peds = {
        "a_m_m_bevhills_02", "a_m_m_eastsa_01", "a_m_m_fatlatin_01", "a_m_m_indian_01", "a_m_m_malibu_01", "a_m_m_og_boss_01", "a_m_m_salton_03", "a_m_m_stlat_02"
    },

    scenarios = {
        "WORLD_HUMAN_SMOKING", "WORLD_HUMAN_STAND_MOBILE", "WORLD_HUMAN_STAND_IMPATIENT", "WORLD_HUMAN_MUSCLE_FLEX"
    },

    weapons = {
        "WEAPON_UNARMED", "WEAPON_BAT", "WEAPON_GOLFCLUB", "WEAPON_KNIFE", "WEAPON_SWITCHBLADE", "WEAPON_MACHETE", "WEAPON_PISTOL"
    },

    reward = {
        cash = {min = 500, max = 3000},
        items = {
            {item = "scrap_metal", amount = {min = 2, max = 6}},
            {item = "steel", amount = {min = 1, max = 4}},
            {item = "aluminium", amount = {min = 0, max = 3}},
            {item = "plastic", amount = {min = 1, max = 2}},
            {item = "glass", amount = {min = 1, max = 2}},
            {item = "rubber", amount = {min = 0, max = 2}},
            {item = "electric_scrap", amount = {min = 0, max = 2}}, -- random chance
            {item = "copper", amount = {min = 0, max = 2}},
        },
        reputationPoints = 10, -- reputation points? set to nil or 0 to disable
    },

    locations = {
        {coords = vector4(957.83, -551.69, 59.30, 209.76), ped = vector4(960.73, -550.41, 59.39, 206.92)},
        {coords = vector4(1261.52, -714.44, 64.51, 235.27), ped = vector4(1264.57, -712.61, 64.78, 144.56)},
        {coords = vector4(1373.01, -1521.99, 57.13, 204.09), ped = vector4(1377.95, -1520.09, 57.50, 121.88)},
        {coords = vector4(470.04, -1741.83, 28.94, 249.44), ped = vector4(475.01, -1740.47, 28.82, 153.07)},
        {coords = vector4(166.57, -1859.80, 24.15, 150.23), ped = vector4(168.22, -1864.41, 24.07, 68.03)},
        {coords = vector4(-954.09, -1083.70, 2.13, 209.76), ped = vector4(-951.70, -1079.94, 2.13, 175.74)},
        {coords = vector4(-1183.46, -934.32, 2.82, 209.76), ped = vector4(-1182.11, -930.88, 2.79, 127.55)},
        {coords = vector4(-1578.17, -86.23, 54.13, 274.96), ped = vector4(-1576.91, -89.59, 54.31, 357.16)},
        {coords = vector4(-1942.52, 385.34, 96.49, 90.70), ped = vector4(-1945.93, 387.95, 96.49, 198.42)},
        {coords = vector4(-1974.98, 623.67, 122.52, 246.61), ped = vector4(-1974.19, 627.38, 122.52, 198.42)},
        {coords = vector4(-1550.66, 427.13, 109.41, 274.96), ped = vector4(-1548.60, 424.00, 109.61, 348.66)},
        {coords = vector4(-1344.46, 611.74, 133.78, 102.04), ped = vector4(-1344.88, 606.52, 133.69, 31.18)},
        {coords = vector4(-1021.74, 811.62, 172.04, 204.09), ped = vector4(-1016.74, 811.85, 172.13, 127.55)},
        {coords = vector4(-341.43, 632.18, 172.35, 45.35), ped = vector4(-345.58, 631.68, 172.25, 39.68)},
        {coords = vector4(174.31, 482.92, 142.32, 354.33), ped = vector4(169.55, 483.96, 142.51, 289.13)}, 
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-chop-shop/configuration/repossession.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
